## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DirectoryEnumerator.hpp File Reference

Include dependency graph for DirectoryEnumerator.hpp:

Go to the source code of this file.

## Classes

- struct FindFileStruct
- struct DirectoryFilterPredicate
- struct FilesOnlyFilterPredicate
- struct DirectoryEnumeratorFunctor

## Defines

- #define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

## Functions

- template<class OutputIteratorType, class FilterPredicateType, class StringType, class StringConversionFunction> void EnumerateDirectory (const StringType &theFullSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent=false)
- template<class OutputIteratorType, class FilterPredicateType, class StringType, class StringConversionFunction> void EnumerateDirectory (const StringType &theDirectory, const StringType &theSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent=false)

## Variables

- int errno

## Define Documentation

#define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

## Function Documentation

template<class OutputIteratorType, class FilterPredicateType, class StringType, class StringConversionFunction>
void EnumerateDirectory | ( | const StringType & | theDirectory,
|  | const StringType & | theSearchSpec,
|  | OutputIteratorType | theOutputIterator,
|  | FilterPredicateType | theFilterPredicate,
|  | StringConversionFunction | theConversionFunction,
|  | bool | fIncludeSelfAndParent = false
| ) |

template<class OutputIteratorType, class FilterPredicateType, class StringType, class StringConversionFunction>
void EnumerateDirectory | ( | const StringType & | theFullSearchSpec,
|  | OutputIteratorType | theOutputIterator,
|  | FilterPredicateType | theFilterPredicate,
|  | StringConversionFunction | theConversionFunction,
|  | bool | fIncludeSelfAndParent = false
| ) |

## Variable Documentation

int errno

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.